Bug 450442 - Review Request: rubygem-tiddlywiki_cp - Copy tiddlers to files and vice versa
Summary: Review Request: rubygem-tiddlywiki_cp - Copy tiddlers to files and vice versa
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-08 14:43 UTC by Jesse Keating
Modified: 2013-01-10 03:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-19 00:24:30 UTC
Type: ---


Attachments (Terms of Use)

Description Jesse Keating 2008-06-08 14:43:19 UTC
Spec URL: http://jkeating.fedorapeople.org/review/rubygem-tiddlywiki_cp.spec
SRPM URL: http://jkeating.fedorapeople.org/review/rubygem-tiddlywiki_cp-0.5.3-1.fc9.src.rpm
Description: 
Copy tiddlywiki tiddlers to files and vice versa.

This was generated with gem2spec.  The rpmlint errors about zero length stuff I do believe is OK because it's part of the test/example stuff.  However I'm in communication with upstream to clarify.

Comment 1 Till Maas 2008-12-11 17:07:25 UTC
It is easier to understand what you are writing about the rpmlint output, if
you also attach it:

rubygem-tiddlywiki_cp.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/tiddlywiki_cp-0.5.3/scripts/txt2html 0644

Don't you get this error?

rubygem-tiddlywiki_cp.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/tiddlywiki_cp-0.5.3/test/content/ignored#
rubygem-tiddlywiki_cp.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/tiddlywiki_cp-0.5.3/test/content/a
rubygem-tiddlywiki_cp.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/tiddlywiki_cp-0.5.3/test/content/d/CVS
rubygem-tiddlywiki_cp.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/tiddlywiki_cp-0.5.3/test/content/b
rubygem-tiddlywiki_cp.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/tiddlywiki_cp-0.5.3/test/content/a.div

My rpmbuild also complains, that some files are mentioned multiple times in
%files:

%{gemdir}/gems/%{gemname}-%{version}/
%doc %{geminstdir}/README.txt

The first path already includes the second one, because at the beginning of
the spec, %geminstdir is defined as follows:

%define geminstdir %{gemdir}/gems/%{gemname}-%{version}

Or in other words: 
%{gemdir}/gems/%{gemname}-%{version}/
can be directly written as %{geminstdir}/ in %files.

From the Review Guidelines:
| - MUST: A package must not contain any duplicate files in the %files listing.

- Btw. the e-mail address in %changelog is probably only valid on your local
  machine.

Comment 2 Till Maas 2009-04-18 14:44:31 UTC
Are you still interested in a review?

Comment 3 Jesse Keating 2009-04-19 00:24:30 UTC
Sorry, no, it is no longer necessary for building the package I was working on.


Note You need to log in before you can comment on or make changes to this bug.